<?xml version="1.0"?>

<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:obj="http://www.unicorn-enterprises.com/XSLT/Extensions/ECMAScript/1.0"
    extension-element-prefixes="obj">

  <xsl:output
      method="xml"
      indent="yes"
      encoding="UTF-8"/>

  <xsl:strip-space elements="*"/>

  <xsl:template match='/'>
    <obj:import href="demo02.es"/>
    <html>
      <head>
        <title>Abrakadabra</title>
      </head>
      <body>
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="data">
    <p>
      <obj:call property="convert">
        <obj:with-param value="string(.)"/>
      </obj:call>
    </p>
  </xsl:template>

</xsl:stylesheet>

