<?xml version='1.0'?>

<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:txt="http://www.unicorn-enterprises.com/XSLT/Extensions/TextInput/1.0"
    extension-element-prefixes="txt">

  <xsl:output
      method="xml"
      indent="yes"
      encoding="UTF-8"/>

  <xsl:strip-space elements="*"/>

  <xsl:template match="/">
    <txt:format name="TEXT03" separator="," header="yes"/>
    <root>
      <txt:read href="text03.txt" format="TEXT03">
        <model>
          <xsl:if test="txt:field-count() >= 1">
            <xsl:element name="{txt:field-name(1)}">
              <xsl:value-of select="txt:field-value(1)"/>
            </xsl:element>
          </xsl:if>
          <xsl:if test="txt:field-count() >= 2">
            <xsl:element name="{txt:field-name(2)}">
              <xsl:value-of select="txt:field-value(2)"/>
            </xsl:element>
          </xsl:if>
          <xsl:if test="txt:field-count() >= 3">
            <xsl:element name="{txt:field-name(3)}">
              <xsl:value-of select="txt:field-value(3)"/>
            </xsl:element>
          </xsl:if>
          <xsl:if test="txt:field-count() >= 4">
            <xsl:element name="{txt:field-name(4)}">
              <xsl:value-of select="txt:field-value(4)"/>
            </xsl:element>
          </xsl:if>
          <xsl:if test="txt:field-count() >= 5">
            <xsl:element name="{txt:field-name(5)}">
              <xsl:value-of select="txt:field-value(5)"/>
            </xsl:element>
          </xsl:if>
          <xsl:if test="txt:field-count() >= 6">
            <xsl:element name="{txt:field-name(6)}">
              <xsl:value-of select="txt:field-value(6)"/>
            </xsl:element>
          </xsl:if>
          <xsl:if test="txt:field-count() >= 7">
            <xsl:element name="{txt:field-name(7)}">
              <xsl:value-of select="txt:field-value(7)"/>
            </xsl:element>
          </xsl:if>
          <xsl:if test="txt:field-count() >= 8">
            <xsl:element name="{txt:field-name(8)}">
              <xsl:value-of select="txt:field-value(8)"/>
            </xsl:element>
          </xsl:if>
          <xsl:if test="txt:field-count() >= 9">
            <xsl:element name="{txt:field-name(9)}">
              <xsl:value-of select="txt:field-value(9)"/>
            </xsl:element>
          </xsl:if>
          <xsl:if test="txt:field-count() >= 10">
            <xsl:element name="{txt:field-name(10)}">
              <xsl:value-of select="txt:field-value(10)"/>
            </xsl:element>
          </xsl:if>
        </model>
      </txt:read>
    </root>
  </xsl:template>

</xsl:stylesheet>

